środa, 15 lutego 2017

Otter-Browser 0.9.91 weekly 163

Ze zmieniającej się numeracji wynika, że Otter-Browser zmierza do stabilnego wydania 1.x. Jak na razie - po kilku wersjach, które "wypadły" - wersja tygodniowa 163. PKGBUILD jest tak skonstruowany, że wymaga paczki qt5-webkit-ng, która jest w sprzeczności z qt5-webkit, którą możecie mieć zainstalowaną. Qt5-webkig-ng "dostarcza" qt5-webkit, zatem podczas jego instalacji trzeba będzie twierdząco odpowiedzieć na odinstalowanie tej drugiej i zastąpienie jej tą pierwszą. Qt5-webkit-ng to rozwijana obecnie wersja qt5-webkit. Otter-Browser działa z dwoma silnikami: qt5-webkit-ng lub qt5-webengine. Nie jest nawet konieczne, by użyć qt5-webkit-ng (można odpowiednio zmodyfikować PKGBUILD). Niemniej jednak, jeśli chcecie używać obu silników, lub webkita, to musi to być właśnie wersja qt5-webkit-ng, a nie qt5-webkit.
Qt5-webkit, choć budowane w wersji 5.8, to od miesięcy nie jest rozwijane. Stan prac nad qt5-webkit-ng obecnie jest taki, że już silnik ten wydaje się być lepszym rozwiązaniem od "oryginału".
Jeśli jednak, ktoś z Was chciałby mieć Otter-Browser i jednocześnie używać qt5-webkit z jakichś powodów, to koniecznym będzie lekka korekta PKGBUILDu i wyeliminowanie budowania przeglądarki z tym silnikiem (będzie wówczas używać wyłącznie qt5-webengine). W takim przypadku proszę o kontakt, przygotuję PKGBUILD.